#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
#
Summary:	PyICU - Python 2 extension wrapping IBM's ICU C++ API
Summary(pl.UTF-8):	PyICU - rozszerzenie Pythona 2 obudowujące API C++ biblioteki ICU firmy IBM
Name:		python-pyicu
Version:	1.8
Release:	10
License:	MIT-like
Group:		Development/Languages/Python
Source0:	https://pypi.python.org/packages/source/P/PyICU/PyICU-%{version}.tar.gz
# Source0-md5:	00c8d40e5400f52c8474aa9480e8dbc1
URL:		http://pyicu.osafoundation.org/
BuildRequires:	libicu-devel >= 3.6
BuildRequires:	libstdc++-devel
%if %{with python2}
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules >= 1:2.3
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 3.2
BuildRequires:	python3-modules >= 3.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyICU is a Python extension wrapping IBM's ICU C++ API.

This package contains Python 2 module.

%description -l pl.UTF-8
PyICU to rozszerzenie Pythona obudowujące API C++ biblioteki ICU firmy
IBM.

Ten pakiet zawiera moduł Pythona 2.

%package -n python3-pyicu
Summary:	PyICU - Python 3 extension wrapping IBM's ICU C++ API
Summary(pl.UTF-8):	PyICU - rozszerzenie Pythona 3 obudowujące API C++ biblioteki ICU firmy IBM
Group:		Development/Languages/Python

%description -n python3-pyicu
PyICU is a Python extension wrapping IBM's ICU C++ API.

This package contains Python 3 module.

%description -n python3-pyicu -l pl.UTF-8
PyICU to rozszerzenie Pythona obudowujące API C++ biblioteki ICU firmy
IBM.

Ten pakiet zawiera moduł Pythona 3.

%prep
%setup -q -n PyICU-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE README
%{py_sitedir}/PyICU.py[co]
%{py_sitedir}/docs.py[co]
%{py_sitedir}/icu.py[co]
%attr(755,root,root) %{py_sitedir}/_icu.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/PyICU-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-pyicu
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE README
%{py3_sitedir}/PyICU.py
%{py3_sitedir}/docs.py
%{py3_sitedir}/icu.py
%{py3_sitedir}/__pycache__/PyICU.*.py[co]
%{py3_sitedir}/__pycache__/docs.*.py[co]
%{py3_sitedir}/__pycache__/icu.*.py[co]
%attr(755,root,root) %{py3_sitedir}/_icu.cpython-*.so
%{py3_sitedir}/PyICU-%{version}-py*.egg-info
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyicu.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a8c8a8
- python 3.6
- release 10 (by relup.sh)

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 90633b8
- icu-57.1 rebuild
- release 9 (by relup.sh)

* Fri Dec 11 2015 Jan Rękorajski <baggins@pld-linux.org> bc6615b
- use new build/install macros
- rel 8

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> e4456c6
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 89bf097
- release 7 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9b01fac
- automatic change: use py_build/py_install macros

* Wed Nov 18 2015 Jan Rękorajski <baggins@pld-linux.org> d52e839
- release 6 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3170500
- release 5 (by relup.sh)

* Mon Jun 01 2015 Elan Ruusamäe <glen@delfi.ee> 5149cd2
- icu rebuild
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c676fa
- python 3.4
- release 3 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> bfe7255
- release 2 (by relup.sh)

* Sun Jun 22 2014 Jakub Bogusz <qboosh@pld-linux.org> a94ddde
- updated to 1.8

* Sat Mar 01 2014 Jakub Bogusz <qboosh@pld-linux.org> cc11606
- updated to 1.6
- added python3 module

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 30fa66e
- release 2 (by relup.sh)

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 2ace458
- updated to 1.5

* Thu Sep 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 46b8f5b
- release 2 (by relup.sh)

* Wed Apr 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 058b3e2
- updated to 1.4; supports icu 49

* Sun Oct 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 01cab8b
- updated to 1.3
- pl
- dropped use of module macro for the sole purpose of obscuring Name

* Sun Oct 09 2011 Artur Frysiak <artur@frysiak.net> a93023c
- up to 1.2

* Sun Oct 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5617cb4
- release 2

